Package org.apache.synapse.commons.evaluators

## Enum EvaluatorConstants.URI_FRAGMENTS

- java.lang.Object
- - java.lang.Enum<EvaluatorConstants.URI_FRAGMENTS>
  - - org.apache.synapse.commons.evaluators.EvaluatorConstants.URI_FRAGMENTS

- All Implemented Interfaces:
    `Serializable`, `Comparable<EvaluatorConstants.URI_FRAGMENTS>`
  Enclosing class:
    EvaluatorConstants

      public static enum EvaluatorConstants.URI_FRAGMENTS
      extends Enum<EvaluatorConstants.URI_FRAGMENTS>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `host` |
    `path` |
    `port` |
    `protocol` |
    `query` |
    `ref` |
    `user` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EvaluatorConstants.URI_FRAGMENTS` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static EvaluatorConstants.URI_FRAGMENTS[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### protocol

          public static final EvaluatorConstants.URI_FRAGMENTS protocol

    - #### user

          public static final EvaluatorConstants.URI_FRAGMENTS user

    - #### host

          public static final EvaluatorConstants.URI_FRAGMENTS host

    - #### port

          public static final EvaluatorConstants.URI_FRAGMENTS port

    - #### path

          public static final EvaluatorConstants.URI_FRAGMENTS path

    - #### query

          public static final EvaluatorConstants.URI_FRAGMENTS query

    - #### ref

          public static final EvaluatorConstants.URI_FRAGMENTS ref

  - ### Method Detail

    - #### values

          public static EvaluatorConstants.URI_FRAGMENTS[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EvaluatorConstants.URI_FRAGMENTS c : EvaluatorConstants.URI_FRAGMENTS.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EvaluatorConstants.URI_FRAGMENTS valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null